com.streambase.liveview.client

## Class DynamicTableState

- java.lang.Object
- - com.streambase.liveview.client.DynamicTableState

-     public class DynamicTableState
      extends Object

  DynamicTableState keeps track of table state while dropping or starting table in synchronous mode.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicTableState(String tableName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LiveViewException` | `getException()`
    `String` | `getStatusMessage()`
    `String` | `getTableName()`
    `Table.TableStatus` | `getTableStatus()`
    `Long` | `getTimeForTableStartDrop()`
    `DynamicTableState` | `setException(LiveViewException exception)`
    `DynamicTableState` | `setStatusMessage(String statusMessage)`
    `DynamicTableState` | `setTableStatus(Table.TableStatus tableStatus)`
    `DynamicTableState` | `setTimeForTableStartDrop(Long timeForTableStartDrop)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicTableState

          public DynamicTableState(String tableName)

  - ### Method Detail

    - #### getException

          public LiveViewException getException()

    - #### setException

          public DynamicTableState setException(LiveViewException exception)

    - #### getTableStatus

          public Table.TableStatus getTableStatus()

    - #### setTableStatus

          public DynamicTableState setTableStatus(Table.TableStatus tableStatus)

    - #### getTimeForTableStartDrop

          public Long getTimeForTableStartDrop()

    - #### setTimeForTableStartDrop

          public DynamicTableState setTimeForTableStartDrop(Long timeForTableStartDrop)

    - #### getStatusMessage

          public String getStatusMessage()

    - #### setStatusMessage

          public DynamicTableState setStatusMessage(String statusMessage)

    - #### getTableName

          public String getTableName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.